# -*- coding: utf-8 -*-

from tornado.httpserver import HTTPServer
from tornado.ioloop import IOLoop
from tornado.options import define, options
from tornado.web import Application, RequestHandler


define('host', default='127.0.0.1', help='run on the given host', type=str)
define('port', default=8001, help='run on the given port', type=int)
options.parse_command_line()


class HelloHandler(RequestHandler):
    def get(self):
        self.write('Hello Tornado')


handlers = [
    (r'/', HelloHandler)
]


def main():
    app = Application(handlers=handlers, default_host=options.host)
    server = HTTPServer(app)
    server.listen(options.port)
    IOLoop.current().start()


if __name__ == '__main__':
    main()
